Subject: Re: RFC: git bisect should accept "paths-to-be-excluded"

From: Toralf Förster <[email-masked]>
Date: Tue, 17 Sep 2013 18:23:05 +0200

On 09/17/2013 09:26 AM, Christian Couder wrote:
> Hi,
> 
> On Mon, Sep 16, 2013 at 2:39 PM, Toralf Förster <[email-masked]> wrote:
>> I'm bisecting a linux kernel issue and want to ignore all commits just
>> touching something in ./drives/staging.
>>
>> Currently the only way would be to specify all dir/subdir combination
>> under ./linux except that particular directory, right ?
> 
> Yeah, you are right, currently the only way would be to specify all
> dir/subdir combination
> under ./linux except the particular directory you want to exclude.
> 
> It might indeed be useful to have a way to exclude some directories or files.

Great to hear

> In practice though, as git bisect is a kind of binary search, if what
> you want to exclude is exclusively touched by half the commits, it
> will only add one more bisection step if you don't exclude it.

Unfortunately not. Linus pulls from Greg's staging tree usually once in
a merge window. It is not uncommon to have hundreds of commits in that
merge. If now (by accident) the merge point is marked as "BAD" and the
base is "GOOD", then git bisect falls into that trap and wastes about
ld(few hundreds) steps - and this happened here for me and each bisect
step took hours ...

> Best regards,
> Christian.

-- 
MfG/Sincerely
Toralf Förster
pgp finger print: 7B1A 07F4 EC82 0F90 D4C2 8936 872A E508 7DB6 9DA3